# List wallet transactions

`GET /accounts/{accountID}/wallets/{walletID}/transactions`

API version: `v2026.07.00`. Send `X-Moov-Version: v2026.07.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

List all the transactions associated with a particular Moov wallet. 

Read our [wallet transactions guide](https://docs.moov.io/guides/sources/wallets/transactions/) to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/wallets.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.07.00`. |
| `accountID` | path | string | Yes |  |
| `skip` | query | integer (int64) |  | The number of entries to skip when paginating a large result set. |
| `count` | query | integer (int64) |  | Page size. When omitted, the server defaults to `200`. |
| `walletID` | path | string | Yes |  |
| `transactionType` | query | string |  | Optional parameter to filter by transaction type. Values: `account-funding`, `ach-reversal`, `auto-sweep`, `card-payment`, `card-decline`, `card-reversal`, `cash-out`, `dispute`, `dispute-reversal`, `facilitator-fee`, `issuing-refund`, `issuing-transaction`, `issuing-transaction-adjustment`, `issuing-auth-hold`, `issuing-auth-release`, `issuing-decline`, `moov-fee`, `payment`, `payout`, `refund`, `refund-failure`, `rtp-failure`, `top-up`, `wallet-transfer`, `adjustment`, `fee-revenue`, `residual`, `instant-bank-failure`. |
| `transactionTypes` | query | array of string |  | Optional, comma-separated parameter to filter by transaction types. Values: `account-funding`, `ach-reversal`, `auto-sweep`, `card-payment`, `card-decline`, `card-reversal`, `cash-out`, `dispute`, `dispute-reversal`, `facilitator-fee`, `issuing-refund`, `issuing-transaction`, `issuing-transaction-adjustment`, `issuing-auth-hold`, `issuing-auth-release`, `issuing-decline`, `moov-fee`, `payment`, `payout`, `refund`, `refund-failure`, `rtp-failure`, `top-up`, `wallet-transfer`, `adjustment`, `fee-revenue`, `residual`, `instant-bank-failure`. |
| `sourceType` | query | string |  | Optional parameter to filter by source type (i.e. transfer, dispute, issuing-transaction). Values: `transfer`, `dispute`, `issuing-card-transaction`, `issuing-authorization`, `sweep`, `adjustment`, `fee`, `residual`. |
| `sourceID` | query | string |  | Optional parameter to filter by source ID. |
| `status` | query | string |  | Optional parameter to filter by status (`pending` or `completed`). Values: `pending`, `completed`, `canceled`, `failed`. |
| `createdStartDateTime` | query | string (date-time) |  | Optional date-time which inclusively filters all transactions created after this date-time. |
| `createdEndDateTime` | query | string (date-time) |  | Optional date-time which exclusively filters all transactions created before this date-time. |
| `completedStartDateTime` | query | string (date-time) |  | Optional date-time which inclusively filters all transactions completed after this date-time. |
| `completedEndDateTime` | query | string (date-time) |  | Optional date-time which exclusively filters all transactions completed before this date-time. |
| `sweepID` | query | string |  | Optional ID to filter for transactions accrued in a sweep. |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].walletID` | string | Yes |  |
| `[].transactionID` | string | Yes |  |
| `[].transactionType` | string | Yes | Values: `account-funding`, `ach-reversal`, `auto-sweep`, `card-payment`, `card-decline`, `card-reversal`, `cash-out`, `dispute`, `dispute-reversal`, `facilitator-fee`, `issuing-refund`, `issuing-transaction`, `issuing-transaction-adjustment`, `issuing-auth-hold`, `issuing-auth-release`, `issuing-decline`, `moov-fee`, `payment`, `payout`, `refund`, `refund-failure`, `rtp-failure`, `top-up`, `wallet-transfer`, `adjustment`, `fee-revenue`, `residual`, `instant-bank-failure`. |
| `[].sourceType` | string | Yes | Values: `transfer`, `dispute`, `issuing-card-transaction`, `issuing-authorization`, `sweep`, `adjustment`, `fee`, `residual`. |
| `[].sourceID` | string | Yes | The ID of the Moov object to which this transaction is related. |
| `[].status` | string | Yes | Values: `pending`, `completed`, `canceled`, `failed`. |
| `[].memo` | string | Yes | Detailed description of the transaction. |
| `[].createdOn` | string (date-time) | Yes |  |
| `[].completedOn` | string (date-time) |  |  |
| `[].currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `[].grossAmount` | integer (int64) | Yes | The total transaction amount. The amount is in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99. |
| `[].grossAmountDecimal` | string | Yes | The total transaction amount. Same as `grossAmount`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. In USD for example, 12.987654321 is $12.987654321 and 0.9987634521 is $0.9987634521. |
| `[].fee` | integer (int64) | Yes | Total fees paid for the transaction. The value is in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99. |
| `[].feeIDs` | array of string |  | The IDs of the fees paid for the transaction. |
| `[].feeDecimal` | string | Yes | Total fees paid for the transaction. Same as `fee`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. In USD for example, 12.987654321 is $12.987654321 and 0.9987634521 is $0.9987634521. |
| `[].netAmount` | integer (int64) | Yes | Net amount is the gross amount less fees paid, and the amount that affects the wallet's balance. The amount is in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99. |
| `[].netAmountDecimal` | string | Yes | Net amount is the gross amount less fees paid, and the amount that affects the wallet's balance. Same as `netAmount`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. In USD for example, 12.987654321 is $12.987654321 and 0.9987634521 is $0.9987634521. |
| `[].availableBalance` | integer (int64) |  | The wallet's total available balance after recording a completed transaction. The value is in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99. |
| `[].availableBalanceDecimal` | string |  | The wallet's total available balance after recording a completed transaction. Same as `availableBalance`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. In USD for example, 12.987654321 is $12.987654321 and 0.9987634521 is $0.9987634521. |
| `[].sweepID` | string |  | ID of the sweep this transaction accrued in. |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 422 | The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/accounts/{accountID}/wallets/{walletID}/transactions" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.walletTransactions.list({
    accountID: "69e4529b-baf0-4f00-877b-123cfd9d6116",
    skip: 60,
    count: 20,
    walletID: "4f971587-62fe-42c9-bc61-7409d9c8660c",
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/sources/wallets/list-transactions/
